using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Text;

public partial class MyXaml : System.Web.UI.Page
{
  protected void Page_Load(object sender, EventArgs e)
  {
  }

  protected string GenerateCircles(int numCircles)
  {
    StringBuilder bldr = new StringBuilder();
    int left = 10;
    int top = 10;
    for (int x = 0; x < numCircles; ++x)
    {
      int size = top;
      bldr.AppendFormat("<Ellipse Width=\"{0}\" Height=\"{0}\" ", size);
      bldr.AppendFormat("Canvas.Top=\"{0}\" ", top);
      bldr.AppendFormat("Canvas.Left=\"{0}\" ", left);
      bldr.AppendFormat("Fill=\"#{0:X6}\" ", top * 100);
      bldr.Append(" />");
      
      top += 10;
      left += 10;
    }

    return bldr.ToString();
  }
}
